Name:            gal
Summary:         The G App library.
Version:         0.8
Release:         1_gpp
License:         GPL
Group:           System Environment/Libraries
Source:          ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gal/gal-%{version}.tar.gz
BuildRoot:       /var/tmp/gal-%{PACKAGE_VERSION}-root
BuildRequires:   gnome-libs-devel, libxml-devel, gdk-pixbuf-devel
BuildRequires:   gnome-print-devel >= 0.22
BuildRequires:   libglade-devel >= 0.13

%description
Reuseable GNOME library functions.

%package devel
Summary: Libraries and include files for the G App library.
Group: Development/Libraries
Requires:   %{name} = %{version}

%description devel
The gal-devel package includes the static libraries and header files for the
gal package.

Install gal-devel if you want to develop programs which will use gal.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
    --libdir=%{_libdir} --datadir=%{_datadir} \
    --includedir=%{_includedir} --enable-static --enable-shared

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

make prefix=$RPM_BUILD_ROOT%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    libdir=$RPM_BUILD_ROOT%{_libdir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} install 

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README AUTHORS COPYING ChangeLog NEWS
%{_datadir}/etable/%{version}/glade/*.glade
%{_libdir}/libgal.so.*
%{_libdir}/galConf.sh

%files devel
%defattr(-, root, root)
%{_libdir}/libgal.so
%{_libdir}/libgal.a
%{_libdir}/libgal.la
%{_includedir}/gal


%changelog
* Mon Jul  9 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- made gal-devel require gal, DUH
- added build dependancies

* Sun Jun 10 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- changed Copyright to License
- fixed configure, make install, and %files to use RPM's built-in file
  location macros 

* Thu Mar 15 2001 Matthew Wilson <msw@redhat.com>
- the -devel package must own the /usr/include/gal directory and all
  its contents

* Fri Oct 10 2000 John Gotts <jgotts@linuxsavvy.com>
- Created spec file.
